﻿using Model;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace DTO.Mapper
{
    public static class ChampionMapper
    {
        public static ChampionDTO toDTO(this Champion champion)
        {
            return new ChampionDTO(champion.Name, champion.Bio, champion.Icon);
        }

        public static Champion toChampion(this ChampionDTO champion)
        {
            return new Champion(champion.Name, ChampionClass.Unknown, champion.Icon, "", champion.Bio);
            
        }
    }
}
