﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Microsoft.EntityFrameworkCore;

namespace EntityFramework
{
    public class LoLDbContext : DbContext
    {
        public DbSet<ChampionEntity> Champions { get; set; }

        public LoLDbContext()
        { }

        public LoLDbContext(DbContextOptions<LoLDbContext> options)
            : base(options)
        { }


        protected override void OnConfiguring(DbContextOptionsBuilder options)
        {
            if (!options.IsConfigured)
            {
                options.UseSqlite("Data Source=champion.db");
            }
        }
    }
}
